Package org.eclipse.jgit.transport

## Class UploadPackLoggerChain

- java.lang.Object
- - org.eclipse.jgit.transport.UploadPackLoggerChain

All Implemented Interfaces:
  `UploadPackLogger`

    public class UploadPackLoggerChain
    extends Object
    implements UploadPackLogger

`UploadPackLogger` that delegates to a list of other loggers.

loggers are run in the order passed to the constructor.

### Field Summary

### Fields inherited from interface org.eclipse.jgit.transport.UploadPackLogger

`NULL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UploadPackLogger` `newChain​(List<? extends UploadPackLogger> loggers)` Create a new logger chaining the given loggers together.
`void` `onPackStatistics​(PackWriter.Statistics stats)` Notice to the logger after a pack has been sent.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newChain

    public static UploadPackLogger newChain​(List<? extends UploadPackLogger> loggers)

Create a new logger chaining the given loggers together.

Parameters:
  `loggers` - loggers to execute, in order.
Returns:
  a new logger chain of the given loggers.

#### onPackStatistics

    public void onPackStatistics​(PackWriter.Statistics stats)

Description copied from interface: `UploadPackLogger`
Notice to the logger after a pack has been sent.

Specified by:
  `onPackStatistics` in interface `UploadPackLogger`
Parameters:
  `stats` - the statistics after sending a pack to the client.
Since:
  3.0